#ifndef LCD_H
#define LCD_H

#include "hardware/i2c.h"
#include "pico/stdlib.h"

class LCD {
public:
  LCD(i2c_inst_t *i2c, const uint gpio_sda, const uint gpio_scl,
      const uint8_t i2c_addr, uint8_t num_cols = 16, uint8_t num_lines = 2);
  int backlight_off();
  int backlight_on();

private:
  uint8_t i2c_addr;
  uint8_t num_cols;
  uint8_t num_lines;
};

#endif